Package org.eclipse.rdf4j.repository

## Class RepositoryLockedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.repository.RepositoryException
          - - org.eclipse.rdf4j.repository.RepositoryLockedException

- All Implemented Interfaces:
    `Serializable`

      public class RepositoryLockedException
      extends RepositoryException

  Indicates that a Repository cannot be initialised because the configured persisted location is locked.
  Author:
    James Leigh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryLockedException​(String lockedBy, String requestedBy, String msg, Throwable t)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLockedBy()` | Returns the name representing the Java virtual machine that acquired the lock.
    `String` | `getRequestedBy()` | Returns the name representing the Java virtual machine that requested the lock.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryLockedException

          public RepositoryLockedException​(String lockedBy,
                                           String requestedBy,
                                           String msg,
                                           Throwable t)

  - ### Method Detail

    - #### getLockedBy

          public String getLockedBy()

      Returns the name representing the Java virtual machine that acquired the lock.
      Returns:
        the name representing the Java virtual machine that acquired the lock.

    - #### getRequestedBy

          public String getRequestedBy()

      Returns the name representing the Java virtual machine that requested the lock.
      Returns:
        the name representing the Java virtual machine that requested the lock.